Bug 1768060 - Support a way to not install a system hook on every upgrade
Summary: Support a way to not install a system hook on every upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: git-lfs
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-02 02:38 UTC by Ben Boeckel
Modified: 2020-09-25 16:45 UTC (History)
3 users (show)

Fixed In Version: git-lfs-2.12.0-1.fc32 git-lfs-2.12.0-1.fc31 git-lfs-2.12.0-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-12 16:33:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Ben Boeckel 2019-11-02 02:38:38 UTC
I enable LFS on a per-repository basis due to not needing LFS for every project I work on (that uses LFS) and LFS cloning by default being quite expensive for those projects as well. I'd like a way to have the RPM not install the filter configuration on every update. Maybe by checking for existence an `/etc/gitconfig-no-lfs` file?

Comment 1 Ben Cotton 2020-02-11 17:49:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Fedora Update System 2020-09-04 04:28:47 UTC
FEDORA-2020-1bff52ea82 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-1bff52ea82

Comment 3 Fedora Update System 2020-09-04 04:28:47 UTC
FEDORA-2020-18b488a0e1 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-18b488a0e1

Comment 4 Fedora Update System 2020-09-04 04:28:48 UTC
FEDORA-2020-7c997fa793 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-7c997fa793

Comment 5 Ben Boeckel 2020-09-04 13:51:42 UTC
Thanks!

For those curious, to do this, it looks like:

# git config --system fedora.git-lfs.no-modify-config true

is what should be done. Not able to test since the metadata hasn't yet made it to my mirrors (even with a cache flush), but it looks promising.

Comment 6 Fedora Update System 2020-09-04 15:12:41 UTC
FEDORA-2020-1bff52ea82 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-1bff52ea82`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1bff52ea82

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-09-04 15:28:13 UTC
FEDORA-2020-18b488a0e1 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-18b488a0e1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-18b488a0e1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-09-04 19:16:45 UTC
FEDORA-2020-7c997fa793 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-7c997fa793`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7c997fa793

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-09-12 16:33:47 UTC
FEDORA-2020-18b488a0e1 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-09-12 16:37:05 UTC
FEDORA-2020-1bff52ea82 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-09-25 16:45:19 UTC
FEDORA-2020-7c997fa793 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.